ROSA Fresh r11.1 + SIP (VoIP-телефония)

Ответить
ник
Сообщения: 70
Зарегистрирован: 13 сен 2017, 11:06
Operating system: ROSA Fresh r11.1 Plasma5 x64

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ник » 01 мар 2021, 13:25

Столкнулся с ПРОБЛЕМОЙ при работе в РОСЕ с sip-телефонией.
При попытке установить в частности Linphone из росиных репозиториев установка стопорится на том, что программе нужны более старые версии пакетов (зависимостей) чем имеются в наличии. Видел тему про linphone здесь старенькую, но там решения не оказалось, поэтому решил освежить проблему. При попытке СКАЧАТЬ с Оф. сайта и установить проявляется такая же проблема, так же ругается на несоответствие версий нужных пакетов. ДАЛЕЕ попытка установить ещё один sip-клиент Twinkle и абсолютно такая же хрень с установкой, типа пакеты нужны более старые чем имеются. Что вообще происходит ???????

Ps: При установке MicroSIP (через wine) всё вроде БЫ ставится только:
1. При установке ярлык НЕ срабатывает в главном меню приложений.
2. Самое главное ---> при попытке совершить вызов выводится сообщение "Unable to find default audio device", хотя wine при этом проблем со звуком не имеет (в конфигурации звук работает - проверено). Не нашёл пока как это лечится НО буду рад если найдутся знатоки этого вопроса.
Вложения
microSIP.png
microSIP ---> НЕ ЗВОНИТ!
ROSA Fresh r11 Desktop Plasma 5 ---.png
Twinkle ---> НЕ УСТАНАВЛИВАЕТСЯ!
ROSA Fresh r11 Desktop Plasma 5 ---.png
Linphone ---> НЕ УСТАНАВЛИВАЕТСЯ!

Аватара пользователя
mikhailnov
Сообщения: 178
Зарегистрирован: 29 авг 2015, 22:53
Operating system: Ubuntu, ROSA, FreeBSD
Контактная информация:

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение mikhailnov » 02 мар 2021, 23:19

Сделайте

Код: Выделить всё

urpmi --auto-update ; urpmi linphone 
и в случае ошибки покажите вывод.

ДонВенчензо
Сообщения: 17
Зарегистрирован: 18 янв 2020, 20:54
Operating system: ROSA Desktop Fresh R11.1 x86_64 plasma 5

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ДонВенчензо » 03 мар 2021, 07:15

На данный момент пользуюсь Linphone 4.2 alpha appimage. В свое время скачал его с оф. сайта. Более новые версии на 2016.1 не запускаются, т.к. требуют обновления библиотек.(в 209.1 работает. Работает достойно, новый интерфейс. Так же есть версия 4.1, но уже релизная, тоже качал с офф. сайта. Если надо могу поделиться.

va9(2)
Сообщения: 386
Зарегистрирован: 20 окт 2015, 08:06
Operating system: 2xRF.KDE5.R11.1.x86_64

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение va9(2) » 03 мар 2021, 10:47

mikhailnov писал(а):
02 мар 2021, 23:19
в случае ошибки покажите вывод.

Код: Выделить всё

Не удаётся установить следующие пакеты, т.к. они зависят от пакетов,
более старых, чем установленные:
lib64mediastreamer_voip7-3.10.2-5
linphone-3.10.2-5

Продолжить установку? (Y/n) n
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «Main»)
 lib64bctoolbox0                0.2.0        3             rosa  2016.1 x86_64 
 lib64cunit1                    2.1.3        4             rosa  2016.1 x86_64 
 lib64ortp11                    0.27.0       2             rosa  2016.1 x86_64 
 lib64polarssl7                 1.3.9        4             rosa  2016.1 x86_64 
(источник «Main Updates»)
 lib64mediastreamer_base7       3.10.2       5             rosa  2016.1 x86_64 

Будет использовано 1МБ дополнительного дискового пространства.
Будет загружено 314КБ пакетов.
Установить 5 пакетов? (Y/n) n

ник
Сообщения: 70
Зарегистрирован: 13 сен 2017, 11:06
Operating system: ROSA Fresh r11.1 Plasma5 x64

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ник » 07 мар 2021, 14:42

mikhailnov писал(а):
02 мар 2021, 23:19
Сделайте
urpmi --auto-update ; urpmi linphone
и в случае ошибки покажите вывод.
Абсолютно тоже самое, что я уже показывал выше по теме. Даже не вижу смысла выкладывать (только тему больше засорять)
Последний раз редактировалось ник 07 мар 2021, 15:10, всего редактировалось 2 раза.

ник
Сообщения: 70
Зарегистрирован: 13 сен 2017, 11:06
Operating system: ROSA Fresh r11.1 Plasma5 x64

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ник » 07 мар 2021, 14:50

ДонВенчензо писал(а):
03 мар 2021, 07:15
пользуюсь Linphone 4.2 alpha appimage.Работает достойно, новый интерфейс. Так же есть версия 4.1, но уже релизная, тоже качал с офф. сайта. Если надо могу поделиться.
Не откажусь от такого предложения. Интересуют ОБЕ версии (те что с оф сайта).

ник
Сообщения: 70
Зарегистрирован: 13 сен 2017, 11:06
Operating system: ROSA Fresh r11.1 Plasma5 x64

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ник » 07 мар 2021, 14:55

Насчет УДАЧНОЙ работы с microSIP и PhonerLite (через wine разумеется) может кто поделиться опытом ??????????????????????????????????? (Пожалуйста)
Последний раз редактировалось ник 08 мар 2021, 10:10, всего редактировалось 1 раз.

ДонВенчензо
Сообщения: 17
Зарегистрирован: 18 янв 2020, 20:54
Operating system: ROSA Desktop Fresh R11.1 x86_64 plasma 5

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ДонВенчензо » 07 мар 2021, 16:32

ftp://budvolip.strangled.net:2120
Там Linphone-4.1.2; Linphone-4.2.0_alpha и Linphone-4.2.2
Первый и второй у меня работают штатно, третий не запускается на 2016.1(Лежит на всякий случай). Ярлык в меню самому надо делать если демона appimage нету.
Если скачать не получается прошу писать

ник
Сообщения: 70
Зарегистрирован: 13 сен 2017, 11:06
Operating system: ROSA Fresh r11.1 Plasma5 x64

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ник » 08 мар 2021, 10:24

ДонВенчензо писал(а):
07 мар 2021, 16:32
Там Linphone-4.1.2; Linphone-4.2.0_alpha и Linphone-4.2.2
Первый и второй у меня работают штатно. Ярлык в меню самому надо делать если демона appimage нету.
Если скачать не получается прошу писать
СПАСИБО друг. Только у меня вопрос: Ставлю 4.1.2, он запускается НО не понятно почему пакеты не устанавливаются. Этот AppImage файл как portable работает что ли ??? Получается что сделав файл исполняемым он работает у меня фактически без установки в ОС, как самый обычный портабельный софт. Проясни этот момент.

ДонВенчензо
Сообщения: 17
Зарегистрирован: 18 янв 2020, 20:54
Operating system: ROSA Desktop Fresh R11.1 x86_64 plasma 5

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ДонВенчензо » 08 мар 2021, 18:16

ник писал(а):
08 мар 2021, 10:24
ДонВенчензо писал(а):
07 мар 2021, 16:32
Там Linphone-4.1.2; Linphone-4.2.0_alpha и Linphone-4.2.2
Первый и второй у меня работают штатно. Ярлык в меню самому надо делать если демона appimage нету.
Если скачать не получается прошу писать
СПАСИБО друг. Только у меня вопрос: Ставлю 4.1.2, он запускается НО не понятно почему пакеты не устанавливаются. Этот AppImage файл как portable работает что ли ??? Получается что сделав файл исполняемым он работает у меня фактически без установки в ОС, как самый обычный портабельный софт. Проясни этот момент.
Именно так и есть....appimage это самодостаточные пакеты...портативные программы, не требующие установок...закинул его в папку для программ, сделал на него ярлык(*.desktop файл) и запускай его как все обычные программы из меню

ник
Сообщения: 70
Зарегистрирован: 13 сен 2017, 11:06
Operating system: ROSA Fresh r11.1 Plasma5 x64

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение ник » 09 мар 2021, 23:30

ЧТО ТО всё равно не так:

1. Устанавливаю (через wine) microSIP ---> устанавливается, запускается, регистрируется, НЕ звонит. Делал как на видео (есть в нете) и хоть там все действия в windows, в моем случае проверен процесс как в Linux так и в windows. Скрин выше по теме.

2. Устанавливаю (через wine) PhonerLite ---> ввожу (естественно) тоже самое и он первое время как то все пытался пройти регистрацию НО НЕТ он даже не регистрируется. Хотя и ощибок не выкидывает.

3. Устанавливаю (через wine) Linphon 4.2.5 ---> Не определяет звуковую систему но это не мещало ему пару раз зарегистрироваться но совершить вызов не удалось (он что то там пытался ...), так как по объективным причинам транк в FreePBX оказалось не прошел регистрацию у провайдера. Поправил транк (транк заработал) но примерно после этого Linphone отвалился и больше ни в какую регистрироваться на PBX не желает. Мистика!

4. Устанавливаю любезно предоставленную НАТИВНУЮ Linphone (AppImage -файл) ---> запускается успешно НО почему то так же как и остальные (КРОМЕ microSIP) звонилка не регистрируется на моем FreePBX.

ИТОГ: ХОТЬ какой нибудь есть софтфон который в "ROSA fresh r11.1" реально работает ??????????????????????????????????????????? Или в конце концов помогите хотя бы, чтобы microSIP (который единственный умеет регистрироваться) научился определять default audio device и ЗВОНИТЬ

va9(2)
Сообщения: 386
Зарегистрирован: 20 окт 2015, 08:06
Operating system: 2xRF.KDE5.R11.1.x86_64

ROSA Fresh r11.1 + SIP (VoIP-телефония)

Сообщение va9(2) » 10 мар 2021, 06:17

ник писал(а):
09 мар 2021, 23:30
default audio device
Попробуйте поизменять в настройках вина во вкладке "Аудио" устройства по умолчанию

Ответить